Subject: Re: Nextcloud Client (v16)

From: Leo Prikler <[email-masked]>
Date: Tue, 09 Mar 2021 12:39:01 +0100

Hi Raghav,

Mostly LGTM.

Am Dienstag, den 09.03.2021, 05:50 -0500 schrieb Raghav Gururajan:
> > Definitely deserves a comment and perhaps a less broad match?
> 
> Done the comment.
> 
> I think this is perfect match. The mentioned libraries will get
> linked 
> wherever synclib gets linked. Also, this patch is compatible with 
> current master, which is different from this version.
Perhaps the comment should reflect that a little better.  You might
also want to expand that during the unvendoring in the snippet, so that
it's less confusing.

> +                                    `(("src" ,(string-append
> "include/" solution)
> +                                       #:include-regexp ("\\.h$"))
I think you should unvendor dependencies between the solutions, so that
you can put them in "include/" directly (like putting the solutions in
"/lib").

Regards,
Leo